//
//  main.c
//  Atmega168_Interrupts
//
//  Created by Joshua Schapiro on 8/25/14.
//

#include "avr_compiler.h"

int main(void){
    
    DDRB |= (1 << 0);   // set led pin to an outout
    
    DDRD &= ~(1 << 2);  // set button pin to an input
    PORTD |= (1 << 2);  // enable pullup resistor on button
    
    EICRA |= (1 << ISC01);  // enable int0 interrupt on falling edge
    EIMSK |= (1 << INT0);   // enable int0
    sei();                  // globaly enable interrupt
    
    while (true) {
        
            _delay_ms(1);
       
    }
}

ISR(INT0_vect){
    PORTB |= (1 << 0);  // turn led on
    _delay_ms(100);
    PORTB &= ~(1 << 0); // turn led off
}
